library messagebox.components.messenger;

import 'package:angular/angular.dart';
import 'package:messagebox/service/messagebox.dart';
import 'package:messagebox/model/message.dart';

@Component(selector:'message-box', templateUrl:"messagebox.html", cssUrl:"messagebox.css")
class MessageBoxComponent {
  final MessageBoxService _messageBoxService;
  
  MessageBoxComponent(this._messageBoxService);
  
  List<Message> get messages => this._messageBoxService.messages;
}